deprecations:
  - feature_name: Container Scanning Engine Clair
    due: June 22, 2021
    reporter: sam.white
    description: |
      GitLab 14.0 will replace its container scanning engine with Trivy. Currently, GitLab uses the open source Clair engine for container scanning. GitLab 13.9 deprecates Clair. For any 13.x release, customers can continue to use Clair without making any changes to their CI files; however, note that GitLab will no longer update or maintain that scanning engine. Beginning in the 14.0 release, Trivy will become the new default scanner and will receive regular updates and the latest features. Customers are advised to review their CI files in advance of the 14.0 release and to [follow these instructions](https://docs.gitlab.com/ee/user/application_security/container_scanning/#migrating-from-clair-to-trivy) to ensure that their container scanning jobs continue to work. Customers can provide feedback and get additional details on our [open deprecation issue](https://gitlab.com/gitlab-org/gitlab/-/issues/321451).
